<div *ngIf="hero">
    <h2>{{hero.name | uppercase}} details</h2>
    <div><span>id: </span>{{hero.id}}</div>
    <mat-form-field appearance="standard" color="accent">
        <mat-label>Name</mat-label>
        <input [(ngModel)]="hero.name" matInput>
    </mat-form-field>
</div>
<div>
    <button class="button" (click)="goBack()" color="primary" mat-stroked-button>BACK</button>
    <button class="button" (click)="save()" color="accent" mat-stroked-button>SAVE</button>
</div>
